# OESBlendFuncSeparate (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESBlendFuncSeparate

    java.lang.Object
      org.lwjgl.opengles.OESBlendFuncSeparate

    public final class OESBlendFuncSeparate

extends java.lang.Object

Field Summary
`static int` `BLEND_DST_ALPHA_OES` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `BLEND_SRC_ALPHA_OES` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `BLEND_SRC_RGB_OES` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_BLEND_DST_RGB_OES` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

Method Summary
`static void` `glBlendFuncSeparateOES(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_BLEND_DST_RGB_OES

    public static final int GL_BLEND_DST_RGB_OES

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### BLEND_SRC_RGB_OES

    public static final int BLEND_SRC_RGB_OES

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### BLEND_DST_ALPHA_OES

    public static final int BLEND_DST_ALPHA_OES

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### BLEND_SRC_ALPHA_OES

    public static final int BLEND_SRC_ALPHA_OES

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

Method Detail

### glBlendFuncSeparateOES

    public static void glBlendFuncSeparateOES(int sfactorRGB,
                                              int dfactorRGB,
                                              int sfactorAlpha,
                                              int dfactorAlpha)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.